unit EditN;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, StdCtrls;
type
  TOperationN = (ONnone,OnEqual,ONLarge,ONLargeEqual,ONSmall,ONSmallEqual,ONLikeFirst,ONLikeMid,ONLikeEnd);

  TEditN = class(TEdit)
  protected
     fFieldName:string;
     fOp:TOperationN;
     fdatasetname:string;
     procedure SetDatasetName(Value:string);
     procedure SetFieldName(Value:String);
     procedure SetOp(Value:TOperationN);
  public
    { Public declarations }
  published
    { Published declarations }
     property DataSetname:String read fdatasetName write SetdatasetName;
     property FieldName: String read fFieldName write SetFieldName;
     property Op:TOperationN read fOp write SetOp default ONnone;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('ComponentN', [TEditN]);
end;

procedure TEditN.SetFieldName(Value:string);
begin
   fFieldName:=Value;
end;

procedure TEditN.SetOp(Value:TOperationN);
begin
   fOp:=Value;
end;

procedure TEditN.SetDatasetName(Value:string);
begin
   fDatasetName:=Value;
end;

end.
